function Map()
{
	this.layout = null;
	this.materials = null;
	this.worldObjects = new Array();
	this.InteractiveObjects = new Array();
	this.playerPositions = new Array();
	
	this.Height = null;
	this.Width = null;
	
	this.parse = function()
	{
		this.Height = this.layout.length;
		this.Width = this.layout[0].length;
		
		for (var i = 0; i < this.Height; i++)
		{
			for (var j = 0; j < this.Width; j++)
			{
				if (this.layout[i][j] == 1)
				{
					var material = this.materials[this.layout[i][j]];
					var obj = new Physijs.BoxMesh(new THREE.CubeGeometry(1,10,1), material, 0);
					obj.position.x = j;
					obj.position.z = i;
					this.worldObjects.push(obj);
				}
				else if (this.layout[i][j] == 2)
				{
					for (var p = 0;p < 50;p++)
					{
						var material = this.materials[this.layout[i][j]];
						var obj = new Physijs.BoxMesh(new THREE.SphereGeometry(0.5,20,20), material);
						obj.position.x = j + Math.random()*1.5;
						obj.position.z = i + Math.random()*1.5;
						obj.position.y = Math.random();
						this.worldObjects.push(obj);
					}
				}
				else if (this.layout[i][j] ==9 )
				{
					this.playerPositions.push(new THREE.Vector3(j,0,i));
				}
				else if (this.layout[i][j] >= 20 && this.layout[i][j] < 30 )
				{
					this.lights[this.layout[i][j]].position.x = j;
					this.lights[this.layout[i][j]].position.z = i;
					this.worldObjects.push(this.lights[this.layout[i][j]]);
				}
				else if (this.layout[i][j] >= 30)
				{
					var particles = this.particles[this.layout[i][j]];
					particles.ParticleSystem.position.x = 0;
					particles.ParticleSystem.position.z = 0;
					particles.ParticleSystem.position.y = 2;
					
					this.worldObjects.push(particles.ParticleSystem);
					this.InteractiveObjects.push(particles);
					
				}
			}
		}
			var floor = new Physijs.BoxMesh(new THREE.CubeGeometry(200,1,200), this.materials[0], 0);
			floor.position = new THREE.Vector3(-this.Width,-1,-this.Height);
			this.worldObjects.push(floor);
		//for (var i = 0; i < this.Height; i++)
		//{
		//	for (var j = 0; j < this.Width; j++)
		//	{
		//	var floor = new Physijs.BoxMesh(new THREE.CubeGeometry(1,1,1), this.materials[0], 0);
		//	floor.position = new THREE.Vector3(j,-1,i);
		//	this.worldObjects.push(floor);
		//	}
		//}
	}
	
}