var MovementControllers = new Array();

MovementControllers.push(
	function MovementController(inputHandler, object3D)
	{
		this.InputHandler = inputHandler;

		this.Speed = 5;
		this.RotSpeed = 0.05;
		
		this.object3D = object3D
		
		
		this.Update = function()
		{
			var up = this.InputHandler.pressedKeys.indexOf(38) != -1;
			var down = this.InputHandler.pressedKeys.indexOf(40) != -1;
			var left = this.InputHandler.pressedKeys.indexOf(37) != -1;
			var right = this.InputHandler.pressedKeys.indexOf(39) != -1;
			
			if (up)
			{
				var velocity = new THREE.Vector3(0,0,-this.Speed);
				velocity.applyEuler(this.object3D.rotation, this.object3D.eulerOrder);
				this.object3D.setLinearVelocity(velocity);
				
				//this.object3D.translateZ(-this.Speed);
				//this.object3D.__dirtyPosition = true;
			}
			else if (down)
			{
				var velocity = new THREE.Vector3(0,0,this.Speed);
				velocity.applyEuler(this.object3D.rotation, this.object3D.eulerOrder);
				this.object3D.setLinearVelocity(velocity);
			}
			if (left)
			{
				this.object3D.rotateOnAxis(object3D.up, this.RotSpeed);
				this.object3D.__dirtyRotation = true;
			}
			else if (right)
			{
				this.object3D.rotateOnAxis(object3D.up, -this.RotSpeed);
				this.object3D.__dirtyRotation = true;
			}
		}
	}
);

MovementControllers.push(
	function MovementController(inputHandler, object3D)
	{
		this.InputHandler = inputHandler;

		this.Speed = 5;
		this.RotSpeed = 0.1;
		
		this.object3D = object3D
		
		
		this.Update = function()
		{
			var up = this.InputHandler.pressedKeys.indexOf(87) != -1;
			var down = this.InputHandler.pressedKeys.indexOf(83) != -1;
			var left = this.InputHandler.pressedKeys.indexOf(65) != -1;
			var right = this.InputHandler.pressedKeys.indexOf(68) != -1;
			
			if (up)
			{
				var velocity = new THREE.Vector3(0,0,-this.Speed);
				velocity.applyEuler(this.object3D.rotation, this.object3D.eulerOrder);
				this.object3D.setLinearVelocity(velocity);
				
				//this.object3D.translateZ(-this.Speed);
				//this.object3D.__dirtyPosition = true;
			}
			else if (down)
			{
				var velocity = new THREE.Vector3(0,0,this.Speed);
				velocity.applyEuler(this.object3D.rotation, this.object3D.eulerOrder);
				this.object3D.setLinearVelocity(velocity);
			}
			if (left)
			{
				this.object3D.rotateOnAxis(object3D.up, this.RotSpeed);
				this.object3D.__dirtyRotation = true;
			}
			else if (right)
			{
				this.object3D.rotateOnAxis(object3D.up, -this.RotSpeed);
				this.object3D.__dirtyRotation = true;
			}
		}
	}
);

