// new ObjectFollower(Object3D master, Object3D slave, Vector3D offset)
function ObjectFollower(master, slave, offset)
{
	this.Master = master;
	this.Slave = slave;
	
	this.Offset = offset;
	
	this.Update = function()
	{
		this.Slave.position = this.Master.position.clone();
		
		this.Slave.translateX(-this.Offset.x);
		this.Slave.translateY(-this.Offset.y);
		this.Slave.translateZ(-this.Offset.z);
		
		this.Slave.rotation = this.Master.rotation.clone();
		
		this.Slave.__dirtyPosition = true;
	}

}